Package org.w3c.tidy

# Class TidyMessage

java.lang.Object
org.w3c.tidy.TidyMessage

public final class TidyMessage extends Object
Message sent to listeners for validation errors/warnings and info.

Version:
  $Revision: 630 $ ($Author: fgiust $)
Author:
  Fabrizio Giustina
See Also:
  - `Tidy.setMessageListener(TidyMessageListener)`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`TidyMessage.Level`
Message severity enumeration.

## Constructor Summary

Constructors
Constructor
Description
`TidyMessage(int errorCode, int line, int column, TidyMessage.Level level, String message)`
Instantiates a new message.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
Getter for `column`.
`int`
`getErrorCode()`
Getter for `errorCode`.
`TidyMessage.Level`
`getLevel()`
Getter for `level`.
`int`
`getLine()`
Getter for `line`.
`String`
`getMessage()`
Getter for `message`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TidyMessage

public TidyMessage(int errorCode, int line, int column, TidyMessage.Level level, String message)
Instantiates a new message.

Parameters:
  `errorCode` - Tidy internal error code.
  `line` - Line number in the source file
  `column` - Column number in the source file
  `level` - severity
  `message` - message text

## Method Details

### getErrorCode

public int getErrorCode()
Getter for `errorCode`.

Returns:
  Returns the errorCode.

### getColumn

public int getColumn()
Getter for `column`.

Returns:
  Returns the column.

### getLevel

public TidyMessage.Level getLevel()
Getter for `level`.

Returns:
  Returns the level.

### getLine

public int getLine()
Getter for `line`.

Returns:
  Returns the line.

### getMessage

public String getMessage()
Getter for `message`.

Returns:
  Returns the message.